//---------------------------------------------------------------------------

#ifndef UTagMonitorH
#define UTagMonitorH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>

#include "MonitorBase.h"
//---------------------------------------------------------------------------
class PACKAGE TTagMonitor : public TComponent{
private:
   String FAppID;
protected:
   TMonitorSender *MonitorSender;
public:
   __fastcall TTagMonitor(TComponent* Owner);
   __fastcall ~TTagMonitor();
   void __fastcall SendError(const String &msg, int errCode=0);
   void __fastcall SendInfo(const String &msg, int errCode=0);
   void __fastcall SendWarning(const String &msg, int errCode=0);
__published:
   __property String AppID  = { read=FAppID, write=FAppID };
};//---------------------------------------------------------------------------
#endif
