//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
USERES("Monitor.res");
USEFORM("UwMonitor.cpp", wMonitor);
USEUNIT("MonitorBase.cpp");
USEUNIT("UMonitorThread.cpp");
USEFORM("..\..\TAG IT\UdlgAboutMonitor.cpp", dlgAboutMonitor);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int){
   HANDLE myMutex;
   try  {
      myMutex = ::CreateMutex(NULL, false, "MonitorMtx");
      if ( GetLastError() == ERROR_ALREADY_EXISTS ){
         Application->Title = "Prevented from Running";
         HWND first = ::FindWindow("TApplication", "Monitor");
         if ( ::IsIconic(first) )
            ::ShowWindow(first, SW_SHOWDEFAULT);
         ::SetForegroundWindow(first);
         HWND child = ::GetLastActivePopup(first);
         if ( first != child )
            ::BringWindowToTop(child);
      }
       Application->Initialize();
       Application->Title = "Monitor";
       Application->CreateForm(__classid(TwMonitor), &wMonitor);
       Application->CreateForm(__classid(TdlgAboutMonitor), &dlgAboutMonitor);
       Application->Run();
   }
   catch (Exception &exception){
       Application->ShowException(&exception);
   }
   ReleaseMutex(myMutex);
   return 0;
}
//---------------------------------------------------------------------------
